Skip to main content
POST
Create cash movement

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storeId
string
required

ID Justo del local.

Body

application/json
type
enum<string>
required

withdrawal: sacar efectivo de la caja. income: agregar efectivo.

Available options:
withdrawal,
income
amount
number
required

Monto, siempre positivo.

paymentMethodId
string
required

Medio de pago en efectivo del local, de GET /tabs/{storeId}/payment-methods.

cashRegisterId
string

Caja del movimiento, de GET /tabs/{storeId}/cash-registers. Por defecto, la caja por defecto del local.

reason
enum<string>

Motivo: supplierPayment (pago a proveedor), personalPayment (pago a personal), withdrawal (retiro), income (ingreso) u other.

Available options:
other,
supplierPayment,
personalPayment,
withdrawal,
income
comments
string

Detalle del movimiento.

Response

The OpenAPI spec

success
boolean
Example:

true

data
object